#!/usr/bin/gnuplot

set size ratio 1
set terminal latex size 6in, 2in
set output "chord-sum.tex"

set multiplot
set border 0
unset xtics
unset ytics
set xrange [-3:3]
set yrange [-3:3]
unset key

x(a, b, c) = -a/sqrt(6) + 2*b/sqrt(6) - c/sqrt(6)
y(a, b, c) = -a/sqrt(2) + c/sqrt(2)

# First chord profile
set size 0.3334, 1.0
set origin 0.0, 0.0
plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
 2 -2  0
 0  2 -2
end

# Plus
set label 1 "+" center at screen 0.3334, 0.5

# Second chord profile
set size 0.3334, 1.0
set origin 0.3334, 0.0
plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 12 linetype 4
 2  0 -2
-2  2  0
end

# Equals
set label 1 "=" center at screen 0.6667, 0.5

# Cross profile
set size 0.3334, 1.0
set origin 0.6667, 0.0
plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 12 linetype 4, \
     "-" using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 6

 2 -2  0
 0  2 -2
end
 2  0 -2
-2  2  0
end
.6666 .6666 -1.3332
end

unset multiplot
set output
