#!/usr/bin/gnuplot

set size ratio 1
set terminal latex size 3in, 2in
set output "chords.tex"
set border 0
unset xtics
unset ytics
set xrange [-3:3]
set yrange [-3:3]
unset key
x(a, b, c) = -a/sqrt(6) + 2*b/sqrt(6) - c/sqrt(6)
y(a, b, c) = -a/sqrt(2) + c/sqrt(2)

set multiplot layout 2,3

plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
2 0 -2
-2 2 0
end

plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
0 2 -2
-2 0 2
end

plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
-2 2 0
0 -2 2
end

plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
-2 0 2
2 -2 0
end

plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
0 -2 2
2 0 -2
end

plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
2 -2 0
0 2 -2
end

unset multiplot
set output # Close file
