#!/usr/bin/gnuplot
set terminal latex size 5in, 2in
set output "cond-all.tex"
# Note: for epslatex, '#' and '%' must be escaped. epslatex fails to properly
# escape these characters. Also: file name *must not* contain a period,
# epslatex also fails to sanitize that and so graphicx barfs on it

set style data linespoints
set border 3
set rmargin 14
set lmargin 8
set xtics nomirror
set ytics nomirror
set xlabel "\\# voters"
set ylabel "Condorcet\nefficiency\n(\\%)" rotate by 0
set key off
set label "mediancentre, 3 alternatives" at 9, 96.50 offset character 1
set label "mean, 3 alternatives" at 9, 88.25 offset character 1
set label "mediancentre, 4 alternatives" at 9, 92.51 offset character 1
set label "mean, 4 alternatives" at 9, 83.85 offset character 1
plot [*:*] [75:100] \
     "cond.txt" index 0 using 1:(100*$2/$4) notitle, \
     "cond.txt" index 0 using 1:(100*$3/$4) notitle, \
     "cond.txt" index 1 using 1:(100*$2/$4) notitle, \
     "cond.txt" index 1 using 1:(100*$3/$4) notitle

set output
