#!/usr/bin/gnuplot
set terminal latex size 5in, 1.5in
set output "cond-even.tex"

set style data linespoints
set border 3
set lmargin 8
set rmargin 14
set xtics nomirror 4, 2
set ytics nomirror
set xlabel "\\# voters"
set ylabel "Condorcet\nefficiency\n(\\%)" rotate by 0
set key off
set label "mediancentre, 3 alternatives" at 7, 99.33 offset character 1, -0.25
set label "mean, 3 alternatives" at 8, 96.66 offset character 1
set label "mediancentre, 4 alternatives" at 7, 99.77 offset character 1, .5
set label "mean, 4 alternatives" at 8, 96.03 offset character 1
plot [3:9] [95:100] \
     "cond.txt" index 0 using 1:(100*$2/$4) every 2::1 notitle, \
     "cond.txt" index 0 using 1:(100*$3/$4) every 2::1 notitle, \
     "cond.txt" index 1 using 1:(100*$2/$4) every 2::1 notitle, \
     "cond.txt" index 1 using 1:(100*$3/$4) every 2::1 notitle

set output
