#!/usr/bin/gnuplot

set size ratio 1
set terminal latex size 2in, 2in
set output "hex-line.tex"

set border 0
unset xtics
unset ytics
set xrange [-3:3]
set yrange [-3:3]
unset key

x(a, b, c) = -a/sqrt(6) + 2*b/sqrt(6) - c/sqrt(6)
y(a, b, c) = -a/sqrt(2) + c/sqrt(2)

plot "-" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-" using (x($1, $2, $3)):(y($1, $2, $3)) with lines linetype 4, \
     "-" using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 10, \
     "-" using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 11, \
     "-" using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 12, \
     "-" using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 6
 2  0 -2
 0  2 -2
-2  2  0
-2  0  2
 0 -2  2
 2 -2  0
 2  0 -2

 1 -2  1
-1  2 -1
end
-.5, 1, -.5
 2  0 -2

-.5, 1, -.5
 0  2 -2

-.5, 1, -.5
-2  2  0

-.5, 1, -.5
-2  0  2

-.5, 1, -.5
 0 -2  2

-.5, 1, -.5
 2 -2  0
end
 0 -2  2
 2 -2  0
end
-2  0  2
 2  0 -2
end
-2  2  0
 0  2 -2
end
-.5, 1, -.5
end

set output # Close file
