#!/usr/bin/gnuplot

set size ratio 1
set terminal latex size 2.5in, 2.5in
set output "hex.tex"

set border 0
unset xtics
unset ytics
set xrange [-3:3]
set yrange [-3:3]

x(a, b, c) = -a/sqrt(6) + 2*b/sqrt(6) - c/sqrt(6)
y(a, b, c) = -a/sqrt(2) + c/sqrt(2)
min(a, b) = a < b ? a : b
dx = 0.5
dy = 0.15
scale(x, y) = 1 + ((x == 0) ? dy/y : (y == 0) ? dx/x : min(dx/x, dy/y))
m(a, b, c) = scale(abs(x(a, b, c)), abs(y(a, b, c)))

plot "-" using (x($1, $2, $3)):(y($1, $2, $3)) with lines notitle, \
     "-" using (x($1, $2, $3)*m($1, $2, $3)): \
               (y($1, $2, $3)*m($1, $2, $3)): \
	       (sprintf("%d, %d, %d", $1, $2, $3)) \
         with labels notitle
 2  0 -2
 0  2 -2
-2  2  0
-2  0  2
 0 -2  2
 2 -2  0
 2  0 -2

0 0 0
1 1 -2

0 0 0
-1 2 -1

0 0 0
-2 1 1

0 0 0
-1 -1 2

0 0 0
1 -2 1

0 0 0
2 -1 -1
end
 2  0 -2
 0  2 -2
-2  2  0
-2  0  2
 0 -2  2
 2 -2  0
end

set output # Close file
