#!/usr/bin/gnuplot

set size ratio 1
set terminal latex size 6in, 2in
set output "profile-sum.tex"

set multiplot
set border 0
unset xtics
unset ytics
set xrange [-3:3]
set yrange [-3:3]
unset key

x(a, b, c) = -a/sqrt(6) + 2*b/sqrt(6) - c/sqrt(6)
y(a, b, c) = -a/sqrt(2) + c/sqrt(2)

# Triangular profile
set size 0.3334, 1.0
set origin 0.0, 0.0
plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
 2  0 -2
-2  2  0
 0 -2  2
 2  0 -2
end

# Plus
set label 1 "+" center at screen 0.3334, 0.5

# Opposite pair profile
set size 0.3334, 1.0
set origin 0.3334, 0.0
plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with linespoints pointtype 11 linetype 4
 2  0 -2
-2  0  2
end

# Equals
set label 1 "=" center at screen 0.6667, 0.5

# Combination profile
set size 0.3334, 1.0
set origin 0.6667, 0.0
plot "hex.txt" using (x($1, $2, $3)):(y($1, $2, $3)) with lines, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 11, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with points pointtype 12, \
     "-"       using (x($1, $2, $3)):(y($1, $2, $3)) with lines linetype 4
-2  2  0
 0 -2  2
-2  0  2
end
 2  0 -2
end
-2 2 0
0 0 0

0 -2 2
0 0 0

-2 0 2
0 0 0

2 0 -2
0 0 0
end

unset multiplot
set output
